package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Cty;
import com.brilliance.isc.vo.manager.CtyVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface CtyMapper {

    int insert(Cty record);

    int insertSelective(Cty record);

    int updateByPrimaryKeySelective(Cty record);

    int updateByPrimaryKey(Cty record);

    int deleteByPrimaryKey(Cty record);

    int deleteByIds(Collection<Object> collection);

    List<Cty> select(Map<String, Object> dyncMap);

    Cty selectByPrimaryKey(Cty record);

    Cty selectByCod(String cod);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Cty> dyncRead(Map<String, Object> dyncMap);

String getDhlregByCode(String code);
    int insertCty(Cty record);

    int update(Cty record);

    int deleteById(String inr);

    String getCtyVerFromInr(String inr);

    int queryCod(String cod);

    CtyVo queryById(String inr);

    List<CtyVo> queryAllByLimit(CtyVo ctyVo);

    String queryCodByBopCod(String bopcod);

    Cty selectByInr(String inr);

}